package com.fs.his.service;

import java.util.List;

import com.fs.aiTongueApi.domain.inner.TongueInfo;
import com.fs.common.core.domain.R;
import com.fs.his.domain.FsHealthTongue;
import com.fs.his.param.FsHealthTongueListUParam;
import com.fs.his.param.FsHealthTongueParam;
import com.fs.his.param.FsHealthTongueUParam;
import com.fs.his.vo.FsHealthTongueListUVO;
import com.fs.his.vo.FsHealthTongueListVO;
import com.fs.his.vo.FsHealthTongueUVO;

/**
 * 舌苔Service接口
 *
 * @author fs
 * @date 2024-09-19
 */
public interface IFsHealthTongueService
{
    /**
     * 查询舌苔
     *
     * @param id 舌苔主键
     * @return 舌苔
     */
    public FsHealthTongue selectFsHealthTongueById(Long id);

    /**
     * 查询舌苔列表
     *
     * @param fsHealthTongue 舌苔
     * @return 舌苔集合
     */
    public List<FsHealthTongue> selectFsHealthTongueList(FsHealthTongue fsHealthTongue);

    /**
     * 新增舌苔
     *
     * @param fsHealthTongue 舌苔
     * @return 结果
     */
    public int insertFsHealthTongue(FsHealthTongue fsHealthTongue);

    /**
     * 修改舌苔
     *
     * @param fsHealthTongue 舌苔
     * @return 结果
     */
    public int updateFsHealthTongue(FsHealthTongue fsHealthTongue);

    /**
     * 批量删除舌苔
     *
     * @param ids 需要删除的舌苔主键集合
     * @return 结果
     */
    public int deleteFsHealthTongueByIds(Long[] ids);

    /**
     * 删除舌苔信息
     *
     * @param id 舌苔主键
     * @return 结果
     */
    public int deleteFsHealthTongueById(Long id);

    List<FsHealthTongueListUVO> selectFsHealthTongueUListVO(FsHealthTongueListUParam param);

    Long selectFsHealthTongueCountByUserId(long userId);

    R insertFsHealthTongueByImgUrl(FsHealthTongueUParam param);

    FsHealthTongueUVO selectFsHealthTongueByUserId(long userId);

    List<FsHealthTongueListVO> selectFsHealthTongueListVO(FsHealthTongueParam param);

    FsHealthTongueUVO selectFsHealthTongueUVOById(Long id);

    Long selectFsHealthTongueAllCountByUserId(Long l);

    TongueInfo selectFsTongueInfo(TongueInfo tongueInfo);
}
